Imports GrapeCity.ActiveReports 
Imports GrapeCity.ActiveReports.Document

Public Class rptSammelRechnungAnlagenDruck_Leistungen
    dim _LAN = ""
    Dim RECHNUNG As VERAG_PROG_ALLGEMEIN.cRechnungsausgang = Nothing
    Sub New(_LAN As String, RECHNUNG As VERAG_PROG_ALLGEMEIN.cRechnungsausgang)
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me._LAN = _LAN
        Me.RECHNUNG = RECHNUNG
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
    End Sub
    Private Sub rptRechnungDruck_ReportStart(sender As Object, e As EventArgs) Handles MyBase.ReportStart
        If _LAN.replace("DE", "") <> "" Then
            SDL.cProgramFunctions._TRANSLATE_RPT(Me, Me.GroupHeader4.Controls, _LAN, "rptRechnungDruck")
            SDL.cProgramFunctions._TRANSLATE_RPT(Me, Me.PageFooter.Controls, _LAN, "rptRechnungDruck")
        End If
    End Sub


    Private Sub Detail_Format(sender As Object, e As EventArgs) Handles Detail.Format
        If Me.DataSource IsNot Nothing AndAlso Me.Fields IsNot Nothing Then
            txtAbfertigungsart.Text = ""
            lblSteuerfrei.Text = ""
            lblSteuerpflichtig.Text = ""
            Dim vorzeichen = If(If(RECHNUNG.Vorzeichen, "") = "-", -1, 1)

            If Me.Fields.Item("clmnAnzahl") IsNot Nothing AndAlso Me.Fields.Item("clmnAnzahl").Value IsNot Nothing Then txtAbfertigungsart.Text &= Me.Fields.Item("clmnAnzahl").Value.ToString & "x "
            If Me.Fields.Item("clmnLeistung") IsNot Nothing AndAlso Me.Fields.Item("clmnLeistung").Value IsNot Nothing Then txtAbfertigungsart.Text &= Me.Fields.Item("clmnLeistung").Value.ToString
            If Me.Fields.Item("clmnLeistungsNr") IsNot Nothing AndAlso Me.Fields.Item("clmnLeistungsNr").Value IsNot Nothing Then txtAbfertigungsart.Text &= " (" & Me.Fields.Item("clmnLeistungsNr").Value.ToString & ") "
            If Me.Fields.Item("clmnSteuerfreierBetrag") IsNot Nothing AndAlso Me.Fields.Item("clmnSteuerfreierBetrag").Value IsNot Nothing AndAlso CDbl(Me.Fields.Item("clmnSteuerfreierBetrag").Value) <> 0 Then
                lblSteuerfrei.Text = CDbl(Me.Fields.Item("clmnSteuerfreierBetrag").Value.ToString * vorzeichen).ToString("N2")
            End If
            If Me.Fields.Item("clmnSteuerpflichtigerBetrag") IsNot Nothing AndAlso Me.Fields.Item("clmnSteuerpflichtigerBetrag").Value IsNot Nothing AndAlso CDbl(Me.Fields.Item("clmnSteuerpflichtigerBetrag").Value) <> 0 Then
                lblSteuerpflichtig.Text = CDbl(Me.Fields.Item("clmnSteuerpflichtigerBetrag").Value.ToString * vorzeichen).ToString("N2")
            End If
        End If
    End Sub

    Private Sub rptAuswertung_ReportStart(sender As System.Object, e As System.EventArgs) Handles MyBase.ReportStart
        If RECHNUNG Is Nothing Then Exit Sub

        Dim dt As New DataTable
        dt.Columns.Add("clmnLeistung")
        dt.Columns.Add("clmnSteuerfreierBetrag")
        dt.Columns.Add("clmnSteuerpflichtigerBetrag")
        dt.Columns.Add("clmnAnzahl")
        dt.Columns.Add("clmnLeistungsNr")

        RECHNUNG.ORDER_POSITIONEN()

        For Each POS In RECHNUNG.POSITIONEN
            dt.Rows.Add(POS.LeistungsBez, POS.SteuerfreierBetrag, POS.SteuerpflichtigerBetrag, POS.Anzahl, POS.LeistungsNr)
        Next

        Me.DataSource = dt

    End Sub
End Class
